Update Term-UI to CPAN version 0.34
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Tue, 22 Jan 2013 12:45:07 +0000 (12:45 +0000)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Tue, 22 Jan 2013 12:45:07 +0000 (12:45 +0000)
  [DELTA]

  Changes for 0.34        Tue Jan 22 12:19:40 GMT 2013
  =====================================================
  * deprecate usage added if the library is found in
    corelib location. Term::UI is leaving core with
    v5.20.0

Porting/Maintainers.pl
cpan/Term-UI/lib/Term/UI.pm

index c8d81b7..adf31d6 100755 (executable)
@@ -1720,7 +1720,7 @@ use File::Glob qw(:case);
 
     'Term::UI' => {
         'MAINTAINER'   => 'kane',
-        'DISTRIBUTION' => 'BINGOS/Term-UI-0.32.tar.gz',
+        'DISTRIBUTION' => 'BINGOS/Term-UI-0.34.tar.gz',
         'FILES'        => q[cpan/Term-UI],
         'UPSTREAM'     => 'cpan',
     },
index eb7ec7e..fb33527 100644 (file)
@@ -1,5 +1,7 @@
 package Term::UI;
 
+use if $] > 5.017, 'deprecate';
+
 use Carp;
 use Params::Check qw[check allow];
 use Term::ReadLine;
@@ -11,7 +13,7 @@ use strict;
 BEGIN {
     use vars        qw[$VERSION $AUTOREPLY $VERBOSE $INVALID];
     $VERBOSE    =   1;
-    $VERSION    =   '0.32';
+    $VERSION    =   '0.34';
     $INVALID    =   loc('Invalid selection, please try again: ');
 }